Cannot launch Mocha Pro UI in Silhouette

Hi,

I bought a Silhouette + Mocha Pro plug-in license and have a problem with the Mocha plug-in. The Mocha UI would not load when I click on the “Load mocha UI” button in Silhouette. Silhouette freezes for a couple of seconds and then, nothing happens. I’m running CentOS Linux release 8.2.2004.

This is the debug message in the terminal:

MochaPlugin: detected start of ServerNode (segment name MochaUI-37427, buffer size 276480000)
ClientNode: completed handshake with MochaUI
ClientNode: passing no project data
ClientNode: remote process has died
MochaPlugin: call to Mocha UI complete

I have installed the following versions in that order:

Silhouette-2020.5.7-20201015.tgz and MochaPro2021-OFX-8.0.1-101.g903c26329626.rhel.rpm

I did also check the libraries of the OFX plug-in (looks okay to me):

ldd /usr/OFX/Plugins/BorisFX/MochaPro2021/mochaPro8.ofx.bundle/Contents/Linux-x86-64/mochaPro8.ofx

linux-vdso.so.1 (0x00007ffebcf0d000)
libuuid.so.1 => /lib64/libuuid.so.1 (0x00007f5b86228000)
libdl.so.2 => /lib64/libdl.so.2 (0x00007f5b86024000)
libX11.so.6 => /lib64/libX11.so.6 (0x00007f5b85ce0000)
librt.so.1 => /lib64/librt.so.1 (0x00007f5b85ad7000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f5b858b7000)
libm.so.6 => /lib64/libm.so.6 (0x00007f5b85535000)
libc.so.6 => /lib64/libc.so.6 (0x00007f5b85173000)
/lib64/ld-linux-x86-64.so.2 (0x00007f5b867a1000)
libxcb.so.1 => /lib64/libxcb.so.1 (0x00007f5b84f4a000)
libXau.so.6 => /lib64/libXau.so.6 (0x00007f5b84d46000)

Any help would be appreciated. Many thanks.

Can you make sure you have the following dependencies installed?

xclip
Your Linux package manager should automatically install the xclip dependency if it’s
available in the local repository.
On CentOS you have to enable epel repo (yum install epel-release) to make
sure xclip is available.

libxkbcommon-x11
This is a requirement for Mocha to launch on Linux successfully. This is not always
installed on the system, so may need to be installed manually, for example using the
command: sudo yum install libxkbcommon-x11

mesa-libGLU
The mesa-libGLU dependency may not be installed by default on Centos 8. Install
mesa-libGLU with the command: sudo yum install mesa-libGLU

The dependencies are installed:

xclip-0.13-8.el8.x86_64
libxkbcommon-x11-0.9.1-1.el8.x86_64
mesa-libGLU-9.0.0-15.el8.x86_64

I also tried an older Mocha standalone some time ago with no problems.

Hi,

Can you open a ticket here and we can continue troubleshooting.

Thanks,